Is Sync Gateway now required to update CouchDB

mobile

#1

We have an iOS app that uses a pre-1.0 version of CBLite to replicate to CouchDB 1.6.0. It worked fine both uni-directionally and bi-directionally.

However, we now must upgrade to a current release of CBLite. The app has been updated to comply with the revised API, however, we can no longer replicate to CouchDB.

Do we now need to deploy a Sync Gateway?

If that is not the issue, is the current CBLite release still compatible with CouchDB 1.6.0?

Thanks for your consideration.


#2

You didn’t give any details about what’s failing, but my guess is you’ve run into this issue. It’s been fixed, but not in time for the 1.2.1 release that’s about to come out; it’ll be in the next update, or as a branch you can build yourself.